# wxURLDataObject Class Reference
[Clipboard and Drag & Drop]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dataobj.h>`

Inheritance diagram for wxURLDataObject:
[legend]

## Detailed Description

wxURLDataObject is a wxDataObject containing an URL and can be used e.g.

when you need to put an URL on or retrieve it from the clipboard:

        wxTheClipboard->SetData(new wxURLDataObject(url));

Note:
  This class is derived from wxDataObjectComposite on Windows rather than wxTextDataObject on all other platforms.

##

Library: wxCore
Category: Clipboard and Drag & Drop

See also:
  Drag and Drop Overview, wxDataObject

## Public Member Functions

| wxURLDataObject (const wxString &url=wxEmptyString)
| Constructor, may be used to initialize the URL.
wxString | GetURL () const
| Returns the URL stored by this object, as a string.
void | SetURL (const wxString &url)
| Sets the URL stored by this object.

List of all members.

## Constructor & Destructor Documentation

wxURLDataObject::wxURLDataObject | ( | const wxString & | url = `wxEmptyString` | ) |

Constructor, may be used to initialize the URL.

If url is empty, SetURL() can be used later.

## Member Function Documentation

wxString wxURLDataObject::GetURL | ( |  | ) | const

Returns the URL stored by this object, as a string.

void wxURLDataObject::SetURL | ( | const wxString & | url | ) |

Sets the URL stored by this object.

|  | [ top ]